Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.java.metadata
Class WildcardTypeFieldMetadata

    java.lang.Object
      org.modeshape.sequencer.java.metadata.FieldMetadata
          org.modeshape.sequencer.java.metadata.WildcardTypeFieldMetadata

    public class WildcardTypeFieldMetadata

extends FieldMetadata

WildcardTypeFieldMetadata represents meta data for wild card type.

It is important to know that, it is nonsense if a wild card type appears anywhere other than as an argument of a `ParameterizedTypeFieldMetadata` node.

Constructor Summary
`WildcardTypeFieldMetadata()`

Method Summary
`boolean` | `isWildcardType()` Find out if a field is a wild card type or not.
`String` | `toString()`

Methods inherited from class org.modeshape.sequencer.java.metadata.FieldMetadata
`getAnnotations, getModifiers, getName, getType, getVariables, hasModifierNamed, isArrayType, isParameterizedType, isPrimitiveType, isQualifiedType, isSimpleType, setModifiers, setName, setType, setVariables`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WildcardTypeFieldMetadata

    public WildcardTypeFieldMetadata()

Method Detail

### isWildcardType

    public boolean isWildcardType()

  Find out if a field is a wild card type or not.

  Overrides:
    `isWildcardType` in class `FieldMetadata`
  Returns:
    true if field is a wild card type.
  See Also:
    `FieldMetadata.isWildcardType()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.